<?php
/**
 * @author info@senbyte.com 
 * @copyright 2016 senByte UG
 * @license 
 */

require_once $oPlugin->cAdminmenuPfad . 'inc/easyCreditHelper.class.php';
require_once str_replace('frontend/', '', $oPlugin->cFrontendPfad) . 'easycredit-sdk/autoload.php';
require_once str_replace('frontend', 'paymentmethod', $oPlugin->cFrontendPfad) . 'class/EasyCredit.class.php';

use EasyCredit\Api\ApiClient as ecClient;
use EasyCredit\Api\DataMapper as ecMapper;
use EasyCredit\Config as ecConfig;

$easyCredit        = new EasyCredit();
$requestAdapter    = new \EasyCredit\Http\Adapter\Curl();

$request = new EasyCredit\Http\Request(
    \EasyCredit\Config::EASYCREDIT_API_HOSTNAME, \EasyCredit\Config::EASYCREDIT_API_PORT, $requestAdapter
    );

$apiClient = new ecClient(
    $easyCredit->webshopId,
    $easyCredit->token,
    $request,
    new ecMapper()
    );

$response             = $apiClient->getResidualAmountPurchaseLimit();
$residualAmount       = number_format($response->getResidualAmount(), 2, ',', '.');
$loggingEnabled       = $oPlugin->oPluginEinstellungAssoc_arr['jtl_easycredit_logging_enable'];
$logFolderIsWriteable = is_writable(str_replace('frontend/', '', $oPlugin->cFrontendPfad) . 'log');
$showLogFolderWarning = $loggingEnabled == "1" && !$logFolderIsWriteable ? true : false;

$smarty
    ->assign('residualAmount', $residualAmount)
    ->assign('showLogFolderWarning', $showLogFolderWarning)
    ->assign('logPath', str_replace('frontend/', '', $oPlugin->cFrontendPfad) . 'log')
    ->display($oPlugin->cAdminmenuPfad . 'templates/info.tpl');